Search found 3236 matches

Go to advanced search

by mario52
Tue Apr 22, 2014 5:10 pm
Forum: Python scripting and macros
Topic: assigning color of a face of an solid not functioning
Replies: 4
Views: 1696

Re: assigning color of a face of an solid not functioning

hi just Gui.ActiveDocument.Box.DiffuseColor=[(1.,0.,0.),(0.,1.,0.),(0.,0.,1.),(1.,1.,0.),(1.,0.,1.),(0.,1.,1.)] >>> t = FreeCADGui.activeDocument().activeObject().DiffuseColor = [(1.,0.,0.),(0.,1.,0.),(0.,0.,1.),(1.,1.,0.),(1.,0.,1.),(0.,1.,1.)] >>> t [(1.0, 0.0, 0.0), (0.0, 1.0, 0.0), (0.0, 0.0, 1....
by mario52
Sun Apr 20, 2014 12:36 pm
Forum: Help on using FreeCAD
Topic: recognizing faults
Replies: 22
Views: 4171

Re: recognizing faults

hi pa4tim
beautiful site
that would be interesting to make an oscilloscope in FreeCAD
mario
by mario52
Sat Apr 19, 2014 4:20 pm
Forum: Help on using FreeCAD
Topic: How to Draw 3D Line?
Replies: 5
Views: 1693

Re: How to Draw 3D Line?

hi
this is an old problem Re: fit (snap) objects to each other 10..20..30.. nm with your example
mario
by mario52
Sat Apr 19, 2014 3:47 pm
Forum: Python scripting and macros
Topic: how to get Rectangle-object out of boundbox of Face
Replies: 3
Views: 1209

Re: how to get Rectangle-object out of boundbox of Face

hi I made this little macro that creates a rectangle Face of BoundingBox (6 Faces = 6 rectangles) but pieces composed rectangles are offset ? you can manually move ! # -*- coding: utf-8 -*- # cette macro trace en rouge (modifiable) le tour du boundingbox avec 6 rectangles # this macro red trace (edi...
by mario52
Sat Apr 19, 2014 10:14 am
Forum: Open discussion
Topic: [SOLVED] Rotating an object in its own axix
Replies: 10
Views: 41196

Re: Rotating an object in its own axix

hi
here a documentation on Placement
mario
by mario52
Sat Apr 19, 2014 10:05 am
Forum: Python scripting and macros
Topic: Retrieve PropertiesList
Replies: 7
Views: 1955

Re: Retrieve PropertiesList

hi Qt example to open and save a file (change the extension .txt) , but you must include your code Spline Punkte f = open(OpenName, "r") # open file in read (OpenName is in the Qt example) bytes = f.read() # read the file print bytes # print the text f.close() # close the file f = open(SaveName, 'w'...
by mario52
Thu Apr 17, 2014 4:23 pm
Forum: Python scripting and macros
Topic: Retrieve PropertiesList
Replies: 7
Views: 1955

Re: Retrieve PropertiesList

hi
can be an interesting little macro for you Code_snippets
mario
by mario52
Wed Apr 16, 2014 9:18 am
Forum: Help on using FreeCAD
Topic: Bringing an architecture down to earth
Replies: 35
Views: 5682

Re: Bringing an architecture down to earth

hi jmaustpc thank you for the demonstration I thought there were too many items. I will study your method (I may need help) again thank you P.S. mario52: I had seen that, but it seemed too complicated for a smooth contour typical of a house lot. welcome kaseki can you explain me please what is inter...

Go to advanced search